org.eclipse.viatra.query.patternlanguage.emf.ui

## Class AbstractEMFPatternLanguageUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule
      - - org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule
        - - org.eclipse.viatra.query.patternlanguage.emf.ui.AbstractEMFPatternLanguageUiModule

- All Implemented Interfaces:
    com.google.inject.Module
  Direct Known Subclasses:
    EMFPatternLanguageUiModule

      public abstract class AbstractEMFPatternLanguageUiModule
      extends org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule

  Manual modifications go to {org.eclipse.viatra.query.patternlanguage.emf.ui.EMFPatternLanguageUiModule}

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEMFPatternLanguageUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory>` | `bindContentAssistContext$Factory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource>` | `bindDocumentBasedDirtyResource()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.FindReferencesHandler>` | `bindFindReferencesHandler()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.GlobalURIEditorOpener>` | `bindGlobalURIEditorOpener()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser>` | `bindIContentAssistParser()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider>` | `bindIContentProposalProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.generator.IContextualOutputConfigurationProvider>` | `bindIContextualOutputConfigurationProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator>` | `bindIDependentElementsCalculator()`
    `java.lang.Class<? extends org.eclipse.xtext.common.types.ui.query.IJavaSearchParticipation>` | `bindIJavaSearchParticipation()`
    `java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider>` | `bindILabelProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.occurrences.IOccurrenceComputer>` | `bindIOccurrenceComputer()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider>` | `bindIOutlineTreeProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider>` | `bindIOutlineTreeStructureProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser>` | `bindIPartialContentAssistParser()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper>` | `bindIProposalConflictHelper()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IReferenceUpdater>` | `bindIReferenceUpdater()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameContextFactory>` | `bindIRenameContextFactory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameRefactoringProvider>` | `bindIRenameRefactoringProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy>` | `bindIRenameStrategy()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy.Provider>` | `bindIRenameStrategy$Provider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameSupport.Factory>` | `bindIRenameSupport$Factory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider>` | `bindIssueResolutionProvider()`
    `java.lang.Class<? extends org.eclipse.compare.IViewerCreator>` | `bindIViewerCreator()`
    `org.eclipse.core.resources.IWorkspaceRoot` | `bindIWorkspaceRootToInstance()`
    `java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant>` | `bindIXtextBuilderParticipant()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback>` | `bindIXtextEditorCallback()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.ui.quickfix.JavaTypeQuickfixes>` | `bindJavaTypeQuickfixes()`
    `java.lang.Class<? extends org.eclipse.xtext.common.types.ui.refactoring.participant.JdtRenameParticipant.ContextFactory>` | `bindJdtRenameParticipant$ContextFactory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistrar>` | `bindLanguageRegistrar()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.generator.trace.OpenGeneratedFileHandler>` | `bindOpenGeneratedFileHandler()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.OutlineNodeElementOpener>` | `bindOutlineNodeElementOpener()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher>` | `bindPrefixMatcher()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.ReferenceQueryExecutor>` | `bindReferenceQueryExecutor()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.XtextDocumentProvider>` | `bindXtextDocumentProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextEditor>` | `bindXtextEditor()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.templates.XtextTemplatePreferencePage>` | `bindXtextTemplatePreferencePage()`
    `void` | `configureBuilderPreferenceStoreInitializer(com.google.inject.Binder binder)`
    `void` | `configureContentAssistLexer(com.google.inject.Binder binder)`
    `void` | `configureContentAssistLexerProvider(com.google.inject.Binder binder)`
    `void` | `configureHighlightingLexer(com.google.inject.Binder binder)`
    `void` | `configureHighlightingTokenDefProvider(com.google.inject.Binder binder)`
    `void` | `configureIPreferenceStoreInitializer(com.google.inject.Binder binder)`
    `void` | `configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)`
    `void` | `configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)`
    `void` | `configureJvmMemberRenameStrategy$Provider$Delegate(com.google.inject.Binder binder)`
    `void` | `configureLanguageSpecificURIEditorOpener(com.google.inject.Binder binder)`
    `void` | `configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)`
    `com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState>` | `provideIAllContainersState()`
    `com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistry>` | `provideLanguageRegistry()`
    `com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.preferences.TemplatesLanguageConfiguration>` | `provideTemplatesLanguageConfiguration()`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule

      `bindAbstractAntlrTokenToAttributeIdMapper, bindAbstractFileSystemAccess2, bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator, bindBuilderConfigurationBlock, bindBuilderPreferenceAccess$Initializer, bindDefaultQuickfixProvider$CrossRefResolutionConverter, bindEclipseResourceFileSystemAccess2, bindEclipseSourceFolderProvider, bindFoldingActionContributor, bindIContentAssistProcessor, bindIContentProposalPriorities, bindIdeSemanticHighlightingCalculator, bindIEObjectHover, bindIEObjectHoverDocumentationProvider, bindIEObjectHoverProvider, bindIFeatureScopeTracker$Provider, bindIGeneratorConfigProvider, bindIHighlightingConfiguration, bindIHyperlinkHelper, bindISemanticHighlightingCalculator, bindUniqueClassNameValidator, bindXbaseUIValidator`

    - ### Methods inherited from class org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule

      `bindAbstractTypeScopeProvider, bindClassLoaderToInstance, bindDirtyStateEditorSupport, bindIJavaProjectProvider, bindIJvmTypeProvider$Factory, bindITypesProposalProvider, bindIValidationJobScheduler, bindRefactoringResourceSetProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

      `bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEMFPatternLanguageUiModule

          public AbstractEMFPatternLanguageUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

  - ### Method Detail

    - #### provideIAllContainersState

          public com.google.inject.Provider<org.eclipse.xtext.resource.containers.IAllContainersState> provideIAllContainersState()

    - #### bindXtextEditor

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.XtextEditor> bindXtextEditor()

    - #### bindXtextDocumentProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.XtextDocumentProvider> bindXtextDocumentProvider()

    - #### bindOpenGeneratedFileHandler

          public java.lang.Class<? extends org.eclipse.xtext.ui.generator.trace.OpenGeneratedFileHandler> bindOpenGeneratedFileHandler()

    - #### bindIProposalConflictHelper

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper> bindIProposalConflictHelper()

    - #### configureHighlightingLexer

          public void configureHighlightingLexer(com.google.inject.Binder binder)

    - #### configureHighlightingTokenDefProvider

          public void configureHighlightingTokenDefProvider(com.google.inject.Binder binder)

    - #### configureIResourceDescriptionsBuilderScope

          public void configureIResourceDescriptionsBuilderScope(com.google.inject.Binder binder)

    - #### bindIXtextEditorCallback

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback> bindIXtextEditorCallback()

    - #### bindIContextualOutputConfigurationProvider

          public java.lang.Class<? extends org.eclipse.xtext.generator.IContextualOutputConfigurationProvider> bindIContextualOutputConfigurationProvider()

    - #### configureIResourceDescriptionsPersisted

          public void configureIResourceDescriptionsPersisted(com.google.inject.Binder binder)

    - #### bindDocumentBasedDirtyResource

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.DocumentBasedDirtyResource> bindDocumentBasedDirtyResource()

    - #### bindILabelProvider

          public java.lang.Class<? extends org.eclipse.jface.viewers.ILabelProvider> bindILabelProvider()

      Overrides:
        `bindILabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### configureResourceUIServiceLabelProvider

          public void configureResourceUIServiceLabelProvider(com.google.inject.Binder binder)

      Overrides:
        `configureResourceUIServiceLabelProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIOutlineTreeProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider> bindIOutlineTreeProvider()

    - #### bindIOutlineTreeStructureProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider> bindIOutlineTreeStructureProvider()

    - #### bindIssueResolutionProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider> bindIssueResolutionProvider()

      Overrides:
        `bindIssueResolutionProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIContentProposalProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider> bindIContentProposalProvider()

    - #### bindContentAssistContext$Factory

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory> bindContentAssistContext$Factory()

    - #### bindIContentAssistParser

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser> bindIContentAssistParser()

    - #### configureContentAssistLexerProvider

          public void configureContentAssistLexerProvider(com.google.inject.Binder binder)

    - #### configureContentAssistLexer

          public void configureContentAssistLexer(com.google.inject.Binder binder)

    - #### configureIPreferenceStoreInitializer

          public void configureIPreferenceStoreInitializer(com.google.inject.Binder binder)

    - #### bindIRenameSupport$Factory

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameSupport.Factory> bindIRenameSupport$Factory()

    - #### bindIRenameStrategy$Provider

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy.Provider> bindIRenameStrategy$Provider()

    - #### configureJvmMemberRenameStrategy$Provider$Delegate

          public void configureJvmMemberRenameStrategy$Provider$Delegate(com.google.inject.Binder binder)

    - #### bindPrefixMatcher

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher> bindPrefixMatcher()

    - #### bindFindReferencesHandler

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.FindReferencesHandler> bindFindReferencesHandler()

    - #### bindReferenceQueryExecutor

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.findrefs.ReferenceQueryExecutor> bindReferenceQueryExecutor()

    - #### bindIDependentElementsCalculator

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator> bindIDependentElementsCalculator()

    - #### bindIRenameRefactoringProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameRefactoringProvider> bindIRenameRefactoringProvider()

    - #### bindIReferenceUpdater

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IReferenceUpdater> bindIReferenceUpdater()

    - #### bindIRenameContextFactory

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.ui.IRenameContextFactory> bindIRenameContextFactory()

    - #### bindIRenameStrategy

          public java.lang.Class<? extends org.eclipse.xtext.ui.refactoring.IRenameStrategy> bindIRenameStrategy()

    - #### bindJdtRenameParticipant$ContextFactory

          public java.lang.Class<? extends org.eclipse.xtext.common.types.ui.refactoring.participant.JdtRenameParticipant.ContextFactory> bindJdtRenameParticipant$ContextFactory()

    - #### bindOutlineNodeElementOpener

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.outline.impl.OutlineNodeElementOpener> bindOutlineNodeElementOpener()

    - #### bindGlobalURIEditorOpener

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.GlobalURIEditorOpener> bindGlobalURIEditorOpener()

    - #### bindIOccurrenceComputer

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.occurrences.IOccurrenceComputer> bindIOccurrenceComputer()

    - #### bindIJavaSearchParticipation

          public java.lang.Class<? extends org.eclipse.xtext.common.types.ui.query.IJavaSearchParticipation> bindIJavaSearchParticipation()

      Overrides:
        `bindIJavaSearchParticipation` in class `org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule`

    - #### configureLanguageSpecificURIEditorOpener

          public void configureLanguageSpecificURIEditorOpener(com.google.inject.Binder binder)

      Overrides:
        `configureLanguageSpecificURIEditorOpener` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindJavaTypeQuickfixes

          public java.lang.Class<? extends org.eclipse.xtext.xbase.ui.quickfix.JavaTypeQuickfixes> bindJavaTypeQuickfixes()

    - #### bindIXtextBuilderParticipant

          public java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant> bindIXtextBuilderParticipant()

    - #### bindIWorkspaceRootToInstance

          public org.eclipse.core.resources.IWorkspaceRoot bindIWorkspaceRootToInstance()

      Overrides:
        `bindIWorkspaceRootToInstance` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`

    - #### configureBuilderPreferenceStoreInitializer

          public void configureBuilderPreferenceStoreInitializer(com.google.inject.Binder binder)

    - #### provideTemplatesLanguageConfiguration

          public com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.preferences.TemplatesLanguageConfiguration> provideTemplatesLanguageConfiguration()

    - #### provideLanguageRegistry

          public com.google.inject.Provider<org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistry> provideLanguageRegistry()

    - #### bindLanguageRegistrar

          public java.lang.Class<? extends org.eclipse.xtext.ui.codetemplates.ui.registry.LanguageRegistrar> bindLanguageRegistrar()

    - #### bindXtextTemplatePreferencePage

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.templates.XtextTemplatePreferencePage> bindXtextTemplatePreferencePage()

    - #### bindIPartialContentAssistParser

          public java.lang.Class<? extends org.eclipse.xtext.ui.codetemplates.ui.partialEditing.IPartialContentAssistParser> bindIPartialContentAssistParser()

    - #### bindIViewerCreator

          public java.lang.Class<? extends org.eclipse.compare.IViewerCreator> bindIViewerCreator()